[BLOCKED] Merge jython 2.5.1-2 (main) from Debian unstable (main)

Bug #682216 reported by Artur Rona on 2010-11-27
86
This bug affects 28 people
Affects Status Importance Assigned to Milestone
jython (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: jython

This merge is necessary for fix bug #390403.

jython (2.5.1-2) unstable; urgency=low

   * Added missing build-dependency declaration on jline (closes: #591114)
   * Bumped version of Debian policy compliance to 3.9.1 (nothing to do)
   * sys.executable Python variable is now set by perl launcher
     (closes: #591478)

 -- Nicolas Duboc <email address hidden> Wed, 04 Aug 2010 09:09:00 +0200
jython (2.5.1-1) unstable; urgency=low

   * New upstream release (closes: #497352)
   * Acknowledged 2.2.1-2.1 NMU.
   * Added Homepage field in control file.
   * libservlet-java is now a suggestion, needed only to
     write servlets in jython
   * Removed the jythonc command, which is no longer available in 2.5.
   * Removed the obsolete html documentation.

 -- Nicolas Duboc <email address hidden> Fri, 09 Jul 2010 18:02:19 +0200

Artur Rona (ari-tczew) wrote :

I've prepared a merge. However, there is a FTBFS with java. Feel free to adopt debdiff.

description: updated
Artur Rona (ari-tczew) wrote :
Artur Rona (ari-tczew) wrote :

    [javac] /tmp/buildd/jython-2.5.1/build/gensrc/org/python/antlr/PythonPartialParser.java:166: recoverFromMismatchedToken(org.antlr.runtime.IntStream,org.antlr.runtime.RecognitionException,int,org.antlr.runtime.BitSet) in org.antlr.runtime.BaseRecognizer cannot be applied to (org.antlr.runtime.IntStream,int,org.antlr.runtime.BitSet)
    [javac] return super.recoverFromMismatchedToken(input, ttype, follow);
    [javac] ^
    [javac] Note: Some input files use unchecked or unsafe operations.
    [javac] Note: Recompile with -Xlint:unchecked for details.
    [javac] 56 errors
    [javac] 5 warnings

BUILD FAILED
/tmp/buildd/jython-2.5.1/build.xml:475: Compile failed; see the compiler error output for details.

Total time: 31 seconds
make: *** [build-stamp] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
E: Failed autobuilding of package

Changed in jython (Ubuntu):
importance: Undecided → Wishlist
status: New → Incomplete
Artur Rona (ari-tczew) wrote :

Thierry, could you help fix FTBFS?

Thierry Carrez (ttx) wrote :

Ew, looks like some antlr version mismatch... Ccing James Page so that he can enlighten us.

Thierry Carrez (ttx) wrote :

James: any clue on this build failure ?

James Page (james-page) wrote :

jython has a dependency on >= 3.1 of antlr - Ubuntu only has a 3.0 version in archive at the moment. The upgrade to 3.2 is currently blocked as the build system has changed to maven which requires a further 73 dependencies to be moved into main.

I have this on the Java Library Housekeeping spec for Natty but need to discuss approach with doko before requesting such a large MIR.

James Page (james-page) wrote :

For information - antlr3: 3.2.is.3.0.1-0ubuntu1

tags: added: patch
Richie Ward (richies) on 2010-12-11
Changed in jython (Ubuntu):
status: Incomplete → In Progress
Artur Rona (ari-tczew) wrote :

Richie, please don't change status if you don't mention the reason of change or if you don't know what are you doing.

Changed in jython (Ubuntu):
status: In Progress → Incomplete
James Page (james-page) on 2011-02-18
Changed in jython (Ubuntu):
status: Incomplete → New
milestone: none → later
milestone: later → none
status: New → Incomplete
James Page (james-page) on 2011-02-28
summary: - Merge jython 2.5.1-2 (main) from Debian unstable (main)
+ [BLOCKED] Merge jython 2.5.1-2 (main) from Debian unstable (main)
James Page (james-page) on 2011-03-02
tags: added: mdh-blocked
Launchpad Janitor (janitor) wrote :

[Expired for jython (Ubuntu) because there has been no activity for 60 days.]

Changed in jython (Ubuntu):
status: Incomplete → Expired
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jython - 2.5.1-2ubuntu2

---------------
jython (2.5.1-2ubuntu2) precise; urgency=low

  * Stop building the jython-gcj package.

jython (2.5.1-2ubuntu1) natty; urgency=low

  [ Artur Rona ]
  * Merge from debian unstable. Remaining changes: (LP: #390403, #682216)
    - debian/ant.properties: Build-Depends on libservlet2.5-java
      instead of libservlet2.4-java.
    - debian/control, debian/rules: Add jython-gcj package.
    - debian/control: Don't use architecture independent build dependencies.
  * debian/control: Build-Depends on libgcj-common, fixes FTBFS
    due to missing file /usr/share/gcj/debian_defaults.

jython (2.5.1-2) unstable; urgency=low

  * Added missing build-dependency declaration on jline (closes: #591114)
  * Bumped version of Debian policy compliance to 3.9.1 (nothing to do)
  * sys.executable Python variable is now set by perl launcher
    (closes: #591478)

jython (2.5.1-1) unstable; urgency=low

  * New upstream release (closes: #497352)
  * Acknowledged 2.2.1-2.1 NMU.
  * Added Homepage field in control file.
  * libservlet-java is now a suggestion, needed only to
    write servlets in jython
  * Removed the jythonc command, which is no longer available in 2.5.
  * Removed the obsolete html documentation.
 -- Matthias Klose <email address hidden> Tue, 18 Oct 2011 14:00:10 +0200

Changed in jython (Ubuntu):
status: Expired → Fix Released
Ross Patterson (rossp) wrote :

Why isn't this in oneiric?

Daniel Kats (dbkats) wrote :

Still not on Oneiric as of 2012-06-06.

James Page (james-page) wrote :

Ross/Daniel

This was fixed during the 12.04 release cycle - the changelog is misleading as 2.5.1-2ubuntu1 never actually made it into natty.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers